## wxControl

This is the base class for a control or 'widget'.

A control is generally a small window which processes user input and/or displays one or more item of data.

Derived from

wxWindow
wxEvtHandler
wxObject

Include files

<wx/control.h>

See also

wxValidator

Members

wxControl::Command
wxControl::GetLabel
wxControl::SetLabel

### wxControl::Command

void Command(wxCommandEvent& event)

Simulates the effect of the user issuing a command to the item. See wxCommandEvent.

### wxControl::GetLabel

wxString& GetLabel()

Returns the control's text.

### wxControl::SetLabel

void SetLabel(const wxString& label)

Sets the item's text.